Bug 201943 - sysutils/automount: Please Update to 1.5.7 from GITHUB
Summary: sysutils/automount: Please Update to 1.5.7 from GITHUB
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jason Unovitch
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2015-07-28 10:50 UTC by Slawomir Wojciech Wojtczak
Modified: 2015-08-10 23:18 UTC (History)
1 user (show)

See Also:


Attachments
automount-1.5.7.patch (790 bytes, patch)
2015-08-02 13:43 UTC, Jason Unovitch
no flags Details | Diff
Poudriere testport log from 10.1-RELEASE jail (12.77 KB, text/x-log)
2015-08-02 13:52 UTC, Jason Unovitch
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Slawomir Wojciech Wojtczak 2015-07-28 10:50:01 UTC
Hi,

please update the port to latest 1.5.5 from GITHUB:

  https://github.com/vermaden/automount/raw/master/automount-1.5.5.tar.gz
  https://github.com/vermaden/automount

Thanks,
vermaden
Comment 1 Jason Unovitch freebsd_committer 2015-08-02 00:54:38 UTC
Can you fix the tarball?  The distfile says it's 1.5.5 but the script claims it's 1.5.6.

Excerpt from `diff -r -u automount-1.5.3 automount-1.5.5`

 if [ "${1}" = "--version" ]
 then
-  echo "automount 1.5.3 2015/02/05"
+  echo "automount 1.5.6 2015/06/08"
   exit 0
 fi
Comment 2 Slawomir Wojciech Wojtczak 2015-08-02 10:12:52 UTC
I am sorry.

Please use the latest 1.5.7 tarball and version from here:
https://github.com/vermaden/automount/raw/master/automount-1.5.7.tar.gz

The version in *distfile* (not included in tarball) also should be set to 1.5.7.

Regards,
vermaden
Comment 3 Jason Unovitch freebsd_committer 2015-08-02 13:43:18 UTC
Created attachment 159459 [details]
automount-1.5.7.patch

(In reply to vermaden from comment #2)

sysutils/automount: update 1.5.3 -> 1.5.7

PR:		201943
Submitted by:	vermaden@interia.pl (maintainer)
Approved by:	(feld|delphij|pgollucci) (mentor)
Comment 4 Jason Unovitch freebsd_committer 2015-08-02 13:52:13 UTC
Created attachment 159460 [details]
Poudriere testport log from 10.1-RELEASE jail

% portlint -ac
looks fine.

Poudriere builds done on:
8.4-RELEASE-p31      amd64
8.4-RELEASE-p31      i386
9.3-RELEASE-p17      amd64
9.3-RELEASE-p17      i386
10.1-RELEASE-p14     amd64
10.1-RELEASE-p14     i386
10.2-BETA2           amd64
10.2-BETA2           i386
11.0-CURRENT r284725 amd64
11.0-CURRENT r284725 i386
Comment 5 commit-hook freebsd_committer 2015-08-02 14:25:13 UTC
A commit references this bug:

Author: junovitch
Date: Sun Aug  2 14:24:22 UTC 2015
New revision: 393425
URL: https://svnweb.freebsd.org/changeset/ports/393425

Log:
  sysutils/automount: update 1.5.3 -> 1.5.7

  PR:		201943
  Submitted by:	vermaden@interia.pl (maintainer)
  Approved by:	feld (mentor)

Changes:
  head/sysutils/automount/Makefile
  head/sysutils/automount/distinfo
Comment 6 Jason Unovitch freebsd_committer 2015-08-02 14:28:04 UTC
Committed.  Thanks!  I won't be able to close this just yet since I don't have the Bugzilla rights for it.
Comment 7 Slawomir Wojciech Wojtczak 2015-08-02 17:57:22 UTC
Thanks!
Comment 8 Jason Unovitch freebsd_committer 2015-08-10 23:18:45 UTC
Take PR and close. Thanks!